[torquedev] Re: [torqueusers] Fwd: [O-MPI users] OpenMPI 1.0.1with Torque 2.0

Garrick Staples garrick at usc.edu
Tue Jan 3 15:53:45 MST 2006


On Tue, Jan 03, 2006 at 05:26:06PM -0500, Caird, Andrew J alleged:
> > -----Original Message-----
> > From: torquedev-bounces at supercluster.org 
> > [mailto:torquedev-bounces at supercluster.org] On Behalf Of 
> > Garrick Staples
> > Sent: Tuesday, January 03, 2006 5:21 PM
> > To: torquedev at supercluster.org
> > Subject: Re: [torquedev] Re: [torqueusers] Fwd: [O-MPI users] 
> > OpenMPI 1.0.1with Torque 2.0
> > 
> > That's why I wanted to know what PBS Pro does.  Do they make 
> > liblog.so, libnet.so, etc.?
> 
> Our PBSPro installations on Linux and OS X don't seem to have shared
> libraries:
> $ pwd
> /usr/pbs64/lib
> $ file *.a
> libattr.a:   current ar archive
> libcmds.a:   current ar archive
> liblog.a:    current ar archive
> libnet.a:    current ar archive
> libpbs.a:    current ar archive
> libsite.a:   current ar archive
> pbs_sched.a: current ar archive

Ah, of course.  The original problem is that TORQUE needs to be built
with -fPIC, not open-mpi!

-- 
Garrick Staples, Linux/HPCC Administrator
University of Southern California
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://www.supercluster.org/pipermail/torquedev/attachments/20060103/47a3bc33/attachment.bin


More information about the torquedev mailing list